Skip to main content
GET
/
v1
/
bot
/
crm
/
tasks
List CRM Follow-ups
curl --request GET \
  --url https://api.boostgpt.co/v1/bot/crm/tasks \
  --header 'Authorization: Bearer <token>'
{
  "total": 123,
  "tasks": [
    {
      "uuid": "<string>",
      "title": "<string>",
      "status": "open",
      "priority": "low",
      "due_at": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

page
integer
default:1
Required range: x >= 1
per_page
integer
Required range: 1 <= x <= 100
status
enum<string>
Available options:
open,
done,
cancelled
view
enum<string>
Available options:
overdue,
today,
upcoming

Response

Success

total
integer
tasks
object[]
pagination
object